Class | Sequel::Amalgalite::Dataset
In: | lib/sequel/adapters/amalgalite.rb
Parent: | Sequel::Dataset

Dataset class for SQLite datasets that use the amalgalite driver.

### Methods

fetch_rows

### Included Modules

::Sequel::SQLite::DatasetMethods

### Constants

DatasetClass | = | self

### Public Instance methods

fetch_rows(sql) {|row| ...}

Yield a hash for each row in the dataset.

[Source]

         # File lib/sequel/adapters/amalgalite.rb, line 164
    164:       def fetch_rows(sql)
    165:         execute(sql) do |stmt|
    166:           @columns = cols = stmt.result_fields.map{|c| output_identifier(c)}
    167:           col_count = cols.size
    168:           stmt.each do |result|
    169:             row = {}
    170:             col_count.times{|i| row[cols[i]] = result[i]}
    171:             yield row
    172:           end
    173:         end
    174:       end

[Validate]